#!/usr/bin/make

# p3prob.mak Version 0.2.0 - Compile p3prob.c
# Copyright (C) 2002-2005  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

OBJ=p3prob.o \
	getp3.o \
	combo.o \
	permute.o

CC=gcc

CFLAGS=-c -Wall -O6

LDFLAGS=-lm

p3prob:	$(OBJ)
	$(CC) -Wall -O6 $(OBJ) -o p3prob $(LDFLAGS)

p3prob.o:	p3prob.c
	$(CC) $(CFLAGS) p3prob.c

getp3.o:	getp3.c
	$(CC) $(CFLAGS) getp3.c

combo.o:	combo.c
	$(CC) $(CFLAGS) combo.c

permute.o:	permute.c
	$(CC) $(CFLAGS) permute.c

clean:
	rm -f $(OBJ) p3prob
